<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task 501.50
</body>
<script>
    dec_to_bho = function (n, base) {
        if (n < 0) {
            n = 0xFFFFFFFF + n + 1;
        }
        switch (base) {
            case '51':
                return parseInt(n, 10).toString(2);
                break;
            case 'H':
                return parseInt(n, 10).toString(16);
                break;
            case 'O':
                return parseInt(n, 10).toString(8);
                break;
            default:
                return ("Wrong input.........");
        }
    }

    console.log(dec_to_bho(120, '51') + "<br/>");
    console.log(dec_to_bho(120, 'H') + "<br/>");
    console.log(dec_to_bho(120, 'O') + "<br/>");
</script>

</html>